--- old/usr/src/cmd/hwdata/pci.ids	Thu Sep  4 21:12:19 2014
+++ new/usr/src/cmd/hwdata/pci.ids	Thu Sep  4 21:12:19 2014
@@ -9284,17 +10165,18 @@
 		1113 1208  EN1208
 		1186 0300  DE-528
 		1259 2400  AT-2400
-		1af4 1100  Qemu virtual machine
+		1af4 1100  QEMU Virtual Machine
 	8129  RTL-8129
 		10ec 8129  RT8129 Fast Ethernet Adapter
 		11ec 8129  RTL8111/8168 PCIe Gigabit Ethernet (misconfigured)
 	8136  RTL8101E/RTL8102E PCI Express Fast Ethernet controller
-		103c 2ab1  Pavillion p6774
+		103c 2ab1  Pavilion p6774
 		103c 30cc  Pavilion dv6700
 		1179 ff64  RTL8102E PCI-E Fast Ethernet NIC
+		17c0 1053  AzureWave AW-NE766 802.11B/G/N Mini PCIe Card Model RT2700E
 	8138  RT8139 (B/C) Cardbus Fast Ethernet Adapter
 		10ec 8138  RT8139 (B/C) Fast Ethernet Adapter
-	8139  RTL-8139/8139C/8139C+
+	8139  RTL-8100/8101L/8139 PCI Fast Ethernet Adapter
 		0357 000a  TTP-Monitoring Card V2.0
 		1025 005a  TravelMate 290
 		1025 8920  ALN-325
@@ -9306,8 +10188,9 @@
 		1043 8109  P5P800-MX Mainboard
 		1071 8160  MIM2000
 		10bd 0320  EP-320X-R
+		10ec 8139  RTL-8100/8101L/8139 PCI Fast Ethernet Adapter
 		10f7 8338  Panasonic CF-Y5 laptop
-		1113 ec01  FNC-0107TX
+		1113 ec01  LevelOne FNC-0107TX/FNC-0109TX
 		1186 1300  DFE-538TX
 		1186 1320  SN5200
 		1186 8139  DRN-32TX
@@ -9338,6 +10221,7 @@
 		1799 5010  F5D5010 CardBus Notebook Network Card
 		187e 3303  FN312
 		1904 8139  RTL8139D Fast Ethernet Adapter
+		1af4 1100  QEMU Virtual Machine
 		2646 0001  KNE120TX
 		8e2e 7000  KF-230TX
 		8e2e 7100  KF-230TX/2
@@ -9360,7 +10244,7 @@
 		1043 82c6  M3A78-EH Motherboard
 		1043 83a3  M4A785TD Motherboard
 		1043 8432  P8P67 and other motherboards
-		1043 8505  P8H77-I Motherboard
+		1043 8505  P8 series motherboard
 		105b 0d7c  D270S/D250S Motherboard
 		10ec 8168  RTL8111/8168 PCI Express Gigabit Ethernet controller
 		1458 e000  Motherboard
@@ -9393,15 +10277,16 @@
 	8174  RTL8192SE Wireless LAN Controller
 	8176  RTL8188CE 802.11b/g/n WiFi Adapter
 		1a3b 1139  AW-NE139H Half-size Mini PCIe Card
-	8177  RTL8188CE 802.11b/g/n WiFi Adapter
-	8178  RTL8188CE 802.11b/g/n WiFi Adapter
+	8177  RTL8191CE PCIe Wireless Network Adapter
+	8178  RTL8192CE PCIe Wireless Network Adapter
 	8179  RTL8188EE Wireless Network Adapter
 	8180  RTL8180L 802.11b MAC
 		1385 4700  MA521 802.11b Wireless PC Card
 		1737 0019  WPC11v4 802.11b Wireless-B Notebook Adapter
 	8185  RTL-8185 IEEE 802.11a/b/g Wireless LAN Controller
-	8190  RTL8190 802.11n Wireless LAN
-	8191  RTL8188CE 802.11b/g/n WiFi Adapter
+	818b  RTL8192EE PCIe Wireless Network Adapter
+	8190  RTL8190 802.11n PCI Wireless Network Adapter
+	8191  RTL8192CE PCIe Wireless Network Adapter
 	8192  RTL8192E/RTL8192SE Wireless LAN Controller
 	8193  RTL8192DE Wireless LAN Controller
 	8197  SmartLAN56 56K Modem
@@ -9408,6 +10293,9 @@
 	8199  RTL8187SE Wireless LAN Controller
 		1462 6894  MN54G2 / MS-6894 Wireless Mini PCIe Card
 	8723  RTL8723AE PCIe Wireless Network Adapter
+	8812  RTL8812AE 802.11ac PCIe Wireless Network Adapter
+	8813  RTL8813AE 802.11ac PCIe Wireless Network Adapter
+	8821  RTL8821AE 802.11ac PCIe Wireless Network Adapter
 	b723  RTL8723BE PCIe Wireless Network Adapter
 10ed  Ascii Corporation
 	7310  V7310
@@ -9501,6 +10389,7 @@
 		1102 0053  SB0090 Audigy Player/OEM
 		1102 0058  SB0090 Audigy Player/OEM
 		1102 1002  SB Audigy2 Platinum
+		1102 1003  SB0350 Audigy 2
 		1102 1007  SB0240 Audigy 2 Platinum 6.1
 		1102 1009  SB Audigy2 OEM HP
 		1102 2001  SB Audigy 2 ZS Platinum Pro
@@ -9529,6 +10418,7 @@
 		1102 0018  SB1040
 	000b  EMU20k2 [X-Fi Titanium Series]
 		1102 0041  SB0880 [SoundBlaster X-Fi Titanium PCI-e]
+	0012  SB Recon3D
 	4001  SB Audigy FireWire Port
 		1102 0010  SB Audigy FireWire Port
 	7002  SB Live! Game Port
@@ -9573,10 +10463,12 @@
 	0620  RocketRAID 620 2 Port SATA-III Controller
 	0622  RocketRAID 622 2 Port SATA-III Controller
 	0640  RocketRAID 640 4 Port SATA-III Controller
+	0644  RocketRAID 644 4 Port SATA-III Controller (eSATA)
 	1720  RocketRAID 1720 (2x SATA II RAID Controller)
 	1740  RocketRAID 1740
 	1742  RocketRAID 1742
 	2210  RocketRAID 2210 SATA-II Controller
+		11ab 11ab  88SX6042
 	2300  RocketRAID 230x 4 Port SATA-II Controller
 	2310  RocketRAID 2310 4 Port SATA-II Controller
 	2320  RocketRAID 2320 SATA-II Controller
@@ -9646,7 +10538,7 @@
 	0409  VX855/VX875 Host Bridge: Host Control
 	0410  VX900 Host Bridge: Host Control
 	0415  VT6415 PATA IDE Host Controller
-		1043 838f  M5A88-V EVO
+		1043 838f  Motherboard
 	0501  VT8501 [Apollo MVP4]
 	0505  VT82C505
 # Shares chip with :0576. The VT82C576M has :1571 instead of :0561.
@@ -9784,6 +10676,7 @@
 # probably all K7VT2/4*/6
 		1849 3038  K7VT series Motherboards
 		19da a179  ZBOX nano VD01
+		1af4 1100  QEMU Virtual Machine
 	3040  VT82C586B ACPI
 	3043  VT86C100A [Rhine]
 		10bd 0000  VT86C100A Fast Ethernet Adapter
@@ -9976,6 +10869,7 @@
 	3230  K8M890CE/K8N890CE [Chrome 9]
 	3238  K8T890 Host Bridge
 	3249  VT6421 IDE/SATA Controller
+		1106 3249  VT6421 IDE/SATA Controller
 	324a  CX700/VX700 PCI to PCI Bridge
 	324b  CX700/VX700 Host Bridge
 	324e  CX700/VX700 Internal Module Bus
@@ -10155,6 +11049,7 @@
 	e238  K8T890 PCI to PCI Bridge Controller
 	e340  PT900 PCI to PCI Bridge Controller
 	e353  VX800/VX820 PCI Express Root Port
+	e410  VX900 PCI Express Physical Layer Electrical Sub-block
 	f208  PT890 PCI to PCI Bridge Controller
 	f238  K8T890 PCI to PCI Bridge Controller
 	f340  PT900 PCI to PCI Bridge Controller
@@ -10172,7 +11067,7 @@
 	013d  P1690Plus
 1109  Cogent Data Technologies, Inc.
 	1400  EM110TX [EX110TX]
-110a  Siemens Nixdorf AG
+110a  Siemens AG
 	0002  Pirahna 2-port
 	0005  Tulip controller, power management, switch extender
 	0006  FSC PINC (I/O-APIC)
@@ -10185,11 +11080,24 @@
 # Superfastcom-PCI (Commtech, Inc.) or DSCC4 WAN Adapter
 	2102  DSCC4 PEB/PEF 20534 DMA Supported Serial Communication Controller with 4 Channels
 	2104  Eicon Diva 2.02 compatible passive ISDN card
-	3141  SIMATIC NET CP 5611 (Profibus Adapter)
-	3142  SIMATIC NET CP 5613A1 (Profibus Adapter)
+	3141  SIMATIC NET CP 5611 / 5621
+	3142  SIMATIC NET CP 5613 / 5614
+	3143  SIMATIC NET CP 1613
 	4021  SIMATIC NET CP 5512 (Profibus and MPI Cardbus Adapter)
-	4029  SIMATIC NET CP 5613A2 (Profibus Adapter)
+	4029  SIMATIC NET CP 5613 A2
+		110a 4029  SIMATIC NET CP 5613 A2
+		110a c029  SIMATIC NET CP 5614 A2
 	4035  SIMATIC NET CP 1613 A2
+	4036  SIMATIC NET CP 1616
+	4038  SIMATIC NET CP 1604
+	4069  SIMATIC NET CP 5623
+		110a 4069  SIMATIC NET CP 5623
+		110a c069  SIMATIC NET CP 5624
+	407c  SIMATIC NET CP 5612
+	407d  SIMATIC NET CP 5613 A3
+	407e  SIMATIC NET CP 5622
+	4083  SIMATIC NET CP 5614 A3
+	4084  SIMATIC NET CP 1626
 	4942  FPGA I-Bus Tracer for MBD
 	6120  SZB6120
 110b  Chromatic Research Inc.
@@ -10383,6 +11291,14 @@
 	806c  PES16T4A/4T4G2 PCI Express Gen2 Switch
 	806e  PES24T6G2 PCI Express Gen2 Switch
 	806f  HIO524G2 PCI Express Gen2 Switch
+	8088  PES32NT8BG2 PCI Express Switch
+		1093 752f  PXIe-8383mc Device
+		1093 7543  PXIe-8383mc System Host
+		1093 755c  PXIe-8364
+		1093 755d  PXIe-8374
+		1093 75ff  PXIe-8383mc DMA
+		1093 7600  PXIe-8383mc DMA
+		1093 7602  PXIe-8384
 111e  Eldec
 111f  Precision Digital Images
 	4a47  Precision MX Video engine interface
@@ -10505,6 +11421,7 @@
 		14c0 1212  LifeView FlyTV Platinum Mini2
 		153b 1160  Cinergy 250 PCI TV
 		153b 1162  Terratec Cinergy 400 mobile
+		17de 7256  PlusTV All In One PI610 card
 		17de 7350  ATSC 110 Digital / Analog HDTV Tuner
 		17de 7352  ATSC 115 Digital / Analog HDTV Tuner
 		185b c100  VideoMate TV
@@ -10529,7 +11446,12 @@
 		5ace 6193  Behold TV M6 Extra
 		5ace 6290  Behold TV H6
 		5ace 7090  Behold TV A7
+		5ace 7150  Behold TV H75
+		5ace 7151  Behold TV H75
 		5ace 7190  Behold TV H7
+		5ace 7191  Behold TV H7
+		5ace 7290  Behold TV T7
+		5ace 7591  Behold TV X7
 		5ace 7595  Behold TV X7
 	7134  SAA7134/SAA7135HL Video Broadcast Decoder
 		0000 4036  Behold TV 403
@@ -10603,12 +11525,14 @@
 		13c2 1019  S2-3200
 		13c2 1102  Technotrend/Hauppauge DVB card rev2.1
 		153b 1155  Cinergy 1200 DVB-S
-		153b 1156  Terratec Cynergy 1200C
+		153b 1156  Cinergy 1200 DVB-C
 		153b 1157  Cinergy 1200 DVB-T
+		153b 1176  Cinergy 1200 DVB-C (MK3)
 		1894 0020  KNC One DVB-C V1.0
 		1894 0023  TVStation DVB-C plus
 	7160  SAA7160
 		1458 9009  E8000 DVB-T/Analog TV/FM tuner
+		1461 1455  AVerTV Hybrid Speedy PCI-E (H788)
 	7162  SAA7162
 		11bd 0101  Pinnacle PCTV 7010iX TV Card
 	7164  SAA7164
@@ -10632,7 +11556,14 @@
 		0070 89a1  WinTV HVR-2200
 	7231  SAA7231
 		5ace 8000  Behold TV H8
+		5ace 8001  Behold TV H8
+		5ace 8050  Behold TV H85
+		5ace 8051  Behold TV H85
 		5ace 8100  Behold TV A8
+		5ace 8101  Behold TV A8
+		5ace 8150  Behold TV A85
+		5ace 8151  Behold TV A85
+		5ace 8201  Behold TV T8
 	9730  SAA9730 Integrated Multimedia and Peripheral Controller
 		1131 0000  Integrated Multimedia and Peripheral Controller
 1132  Mitel Corp.
@@ -11200,7 +12131,7 @@
 		144d c005  X10 Laptop
 		144d c00c  P30/P35 notebook
 		14ef 0220  PCD-RP-220S
-		17aa 201c  ThinkPad X60s
+		17aa 201c  ThinkPad X60/X60s
 		17aa 20c4  ThinkPad T61
 		17aa 20c6  ThinkPad R61
 	0477  RL5c477
@@ -11220,7 +12151,7 @@
 		1043 1757  M2400N laptop
 		144d c005  X10 Laptop
 		144d c00c  P30/P35 notebook
-		17aa 201e  ThinkPad X60s
+		17aa 201e  ThinkPad X60/X60s
 	0554  R5C554
 	0575  R5C575 SD Bus Host Adapter
 	0576  R5C576 SD Bus Host Adapter
@@ -11254,7 +12185,7 @@
 		1043 1967  ASUS V6800V
 		10f7 8338  Panasonic CF-Y5 laptop
 		144d c018  X20 IV
-		17aa 201d  ThinkPad X60s
+		17aa 201d  ThinkPad X60/X60s
 		17aa 20c7  ThinkPad T61
 		17aa 20c8  ThinkPad W500
 	0832  R5C832 IEEE 1394 Controller
@@ -11261,6 +12192,7 @@
 		1025 0121  Aspire 5920G
 		1028 01d7  XPS M1210
 		1028 01f3  Inspiron 1420
+		1028 024d  Latitude E4300
 		103c 30b5  Presario V3242AU
 		103c 30b7  Presario V6133CL
 		103c 30c1  Compaq 6910p
@@ -11453,6 +12385,7 @@
 	2a41  88W8366 [TopDog] 802.11n Wireless
 	2a42  88W8366 [TopDog] 802.11n Wireless
 	2a43  88W8366 [TopDog] 802.11n Wireless
+	2a55  88W8864 [Avastar] 802.11ac Wireless
 	2b36  88W8764 [Avastar] 802.11n Wireless
 	4101  OLPC Cafe Controller Secure Digital Controller
 	4320  88E8001 Gigabit Ethernet Controller
@@ -11523,6 +12456,7 @@
 	4353  88E8039 PCI-E Fast Ethernet Controller
 		104d 902d  VAIO VGN-NR120E
 	4354  88E8040 PCI-E Fast Ethernet Controller
+		144d c06a  R730 Laptop
 		144d c072  Notebook N150P
 	4355  88E8040T PCI-E Fast Ethernet Controller
 		1179 ff50  Satellite P305D-S8995E
@@ -11636,6 +12570,7 @@
 		16b8 434b  Tempo SATA E4P
 	7810  MV78100 [Discovery Innovation] ARM SoC
 	7820  MV78200 [Discovery Innovation] ARM SoC
+	7823  MV78230 [Armada XP] ARM SoC
 	f003  GT-64010 Primary Image Piranha Image Generator
 11ac  Canon Information Systems Research Aust.
 11ad  Lite-On Communications Inc
@@ -12031,6 +12966,7 @@
 1216  Purup Prepress A/S
 1217  O2 Micro, Inc.
 	00f7  Firewire (IEEE 1394)
+		1071 8209  Medion MIM 2240 Notebook PC [MD98100]
 		1179 ff50  Satellite P305D-S8995E
 	10f7  1394 OHCI Compliant Host Controller
 	11f7  OZ600 1394a-2000 Controller
@@ -12057,8 +12993,10 @@
 		1025 0035  TravelMate 660
 	7114  OZ711M1/MC1 4-in-1 MemoryCardBus Controller
 	7120  Integrated MMC/SD Controller
+		1071 8209  Medion MIM 2240 Notebook PC [MD98100]
 		1179 ff50  Satellite P305D-S8995E
 	7130  Integrated MS/xD Controller
+		1071 8209  Medion MIM 2240 Notebook PC [MD98100]
 		1179 ff50  Satellite P305D-S8995E
 	7134  OZ711MP1/MS1 MemoryCardBus Controller
 	7135  Cardbus bridge
@@ -12073,12 +13011,15 @@
 	7233  OZ711MP3/MS3 4-in-1 MemoryCardBus Controller
 	8120  Integrated MMC/SD Controller
 	8130  Integrated MS/MSPRO/xD Controller
-	8320  OZ600 MMC/SD Controller
+	8220  OZ600FJ1/OZ900FJ1 SD/MMC Card Reader Controller
+	8221  OZ600FJ0/OZ900FJ0/OZ600FJS SD/MMC Card Reader Controller
+	8320  OZ600RJ1/OZ900RJ1 SD/MMC Card Reader Controller
 		1028 04a3  Precision M4600
-	8321  Integrated MMC/SD controller
+	8321  OZ600RJ0/OZ900RJ0/OZ600RJS SD/MMC Card Reader Controller
 	8330  OZ600 MS/xD Controller
 		1028 04a3  Precision M4600
 	8331  O2 Flash Memory Card
+	8520  SD/MMC Card Reader Controller
 1218  Hybricon Corp.
 1219  First Virtual Corporation
 121a  3Dfx Interactive, Inc.
@@ -12415,13 +13356,13 @@
 	0002  DirecPC
 1274  Ensoniq
 	1171  ES1373 [AudioPCI] (also Creative Labs CT5803)
-	1371  ES1371 [AudioPCI-97]
+	1371  ES1371 / Creative Labs CT2518 [AudioPCI-97]
 		0e11 0024  AudioPCI on Motherboard Compaq Deskpro
 		0e11 b1a7  ES1371, ES1373 AudioPCI
 		1033 80ac  ES1371, ES1373 AudioPCI
 		1042 1854  Tazer
 		107b 8054  Tabor2
-		1274 1371  Creative Sound Blaster AudioPCI64V, AudioPCI128
+		1274 1371  AudioPCI 64V/128 / Creative Sound Blaster CT4810
 		1274 8001  CT4751 board
 		1462 6470  ES1371, ES1373 AudioPCI On Motherboard MS-6147 1.1A
 		1462 6560  ES1371, ES1373 AudioPCI On Motherboard MS-6156 1.10
@@ -13250,6 +14191,8 @@
 	0204  GPS170PCI GPS Receiver
 	0205  GPS170PEX GPS Receiver (PCI Express)
 	0206  GPS180PEX GPS Receiver (PCI Express)
+	0207  GLN180PEX GPS/GLONASS receiver (PCI Express)
+	0208  GPS180AMC GPS Receiver (PCI Express / MicroTCA / AdvancedMC)
 	0301  TCR510PCI IRIG Timecode Reader
 	0302  TCR167PCI IRIG Timecode Reader
 	0303  TCR511PCI IRIG Timecode Reader
@@ -13650,6 +14593,7 @@
 		1043 838e  Virtuoso 66 (Xonar DS)
 		1043 8428  Virtuoso 100 (Xonar Xense)
 		1043 8467  CMI8786 (Xonar DG)
+		1043 85f4  Virtuoso 100 (Xonar Essence STX II)
 		13f6 8782  PCI 2.0 HD Audio
 		13f6 ffff  CMI8787-HG2PCI
 		14c3 1710  HiFier Fantasia
@@ -13956,7 +14900,7 @@
 	4081  T440F-4081 T440-FCoE Unified Wire Ethernet Controller
 	4082  T420-4082  Unified Wire Ethernet Controller
 	4083  T420X-4083 Unified Wire Ethernet Controller
-	4084  T420-4084 Unified Wire Ethernet Controller
+	4084  T440-4084 Unified Wire Ethernet Controller
 	4085  T420-4085 SFP+ Unified Wire Ethernet Controller
 	4086  T440-4086 10Gbase-T Unified Wire Ethernet Controller
 	4087  T440T-4087 Unified Wire Ethernet Controller
@@ -13980,7 +14924,7 @@
 	4481  T440F-4081 T440-FCoE Unified Wire Ethernet Controller
 	4482  T420-4082  Unified Wire Ethernet Controller
 	4483  T420X-4083 Unified Wire Ethernet Controller
-	4484  T420-4084 Unified Wire Ethernet Controller
+	4484  T440-4084 Unified Wire Ethernet Controller
 	4485  T420-4085 SFP+ Unified Wire Ethernet Controller
 	4486  T440-4086 10Gbase-T Unified Wire Ethernet Controller
 	4487  T440T-4087 Unified Wire Ethernet Controller
@@ -14004,7 +14948,7 @@
 	4581  T440F-4081 T440-FCoE Unified Wire Storage Controller
 	4582  T420-4082  Unified Wire Storage Controller
 	4583  T420X-4083 Unified Wire Storage Controller
-	4584  T420-4084 Unified Wire Storage Controller
+	4584  T440-4084 Unified Wire Storage Controller
 	4585  T420-4085 SFP+ Unified Wire Storage Controller
 	4586  T440-4086 10Gbase-T Unified Wire Storage Controller
 	4587  T440T-4087 Unified Wire Storage Controller
@@ -14028,7 +14972,7 @@
 	4681  T440F-4081 T440-FCoE Unified Wire Storage Controller
 	4682  T420-4082  Unified Wire Storage Controller
 	4683  T420X-4083 Unified Wire Storage Controller
-	4684  T420-4084 Unified Wire Storage Controller
+	4684  T440-4084 Unified Wire Storage Controller
 	4685  T420-4085 SFP+ Unified Wire Storage Controller
 	4686  T440-4086 10Gbase-T Unified Wire Storage Controller
 	4687  T440T-4087 Unified Wire Storage Controller
@@ -14052,35 +14996,35 @@
 	4781  T440F-4081 T440-FCoE Unified Wire Ethernet Controller
 	4782  T420-4082  Unified Wire Ethernet Controller
 	4783  T420X-4083 Unified Wire Ethernet Controller
-	4784  T420-4084 Unified Wire Ethernet Controller
+	4784  T440-4084 Unified Wire Ethernet Controller
 	4785  T420-4085 SFP+ Unified Wire Ethernet Controller
 	4786  T440-4086 10Gbase-T Unified Wire Ethernet Controller
 	4787  T440T-4087 Unified Wire Ethernet Controller
 	4788  T440-4088 Unified Wire Ethernet Controller
-	4801  T420-CR Unified Wire Ethernet Controller
-	4802  T422-CR Unified Wire Ethernet Controller
-	4803  T440-CR Unified Wire Ethernet Controller
-	4804  T420-BCH Unified Wire Ethernet Controller
-	4805  T440-BCH Unified Wire Ethernet Controller
-	4806  T440-CH Unified Wire Ethernet Controller
-	4807  T420-SO Unified Wire Ethernet Controller
-	4808  T420-CX Unified Wire Ethernet Controller
-	4809  T420-BT Unified Wire Ethernet Controller
-	480a  T404-BT Unified Wire Ethernet Controller
-	480b  B420-SR Unified Wire Ethernet Controller
-	480c  B404-BT Unified Wire Ethernet Controller
-	480d  T480 Unified Wire Ethernet Controller
-	480e  T440-LP-CR Unified Wire Ethernet Controller
-	480f  T440 [Amsterdam] Unified Wire Ethernet Controller
-	4880  T480-4080 T480 Unified Wire Ethernet Controller
-	4881  T440F-4081 T440-FCoE Unified Wire Ethernet Controller
-	4882  T420-4082  Unified Wire Ethernet Controller
-	4883  T420X-4083 Unified Wire Ethernet Controller
-	4884  T420-4084 Unified Wire Ethernet Controller
-	4885  T420-4085 SFP+ Unified Wire Ethernet Controller
-	4886  T440-4086 10Gbase-T Unified Wire Ethernet Controller
-	4887  T440T-4087 Unified Wire Ethernet Controller
-	4888  T440-4088 Unified Wire Ethernet Controller
+	4801  T420-CR Unified Wire Ethernet Controller [VF]
+	4802  T422-CR Unified Wire Ethernet Controller [VF]
+	4803  T440-CR Unified Wire Ethernet Controller [VF]
+	4804  T420-BCH Unified Wire Ethernet Controller [VF]
+	4805  T440-BCH Unified Wire Ethernet Controller [VF]
+	4806  T440-CH Unified Wire Ethernet Controller [VF]
+	4807  T420-SO Unified Wire Ethernet Controller [VF]
+	4808  T420-CX Unified Wire Ethernet Controller [VF]
+	4809  T420-BT Unified Wire Ethernet Controller [VF]
+	480a  T404-BT Unified Wire Ethernet Controller [VF]
+	480b  B420-SR Unified Wire Ethernet Controller [VF]
+	480c  B404-BT Unified Wire Ethernet Controller [VF]
+	480d  T480 Unified Wire Ethernet Controller [VF]
+	480e  T440-LP-CR Unified Wire Ethernet Controller [VF]
+	480f  T440 [Amsterdam] Unified Wire Ethernet Controller [VF]
+	4880  T480-4080 T480 Unified Wire Ethernet Controller [VF]
+	4881  T440F-4081 T440-FCoE Unified Wire Ethernet Controller [VF]
+	4882  T420-4082 Unified Wire Ethernet Controller [VF]
+	4883  T420X-4083 Unified Wire Ethernet Controller [VF]
+	4884  T440-4084 Unified Wire Ethernet Controller [VF]
+	4885  T420-4085 SFP+ Unified Wire Ethernet Controller [VF]
+	4886  T440-4086 10Gbase-T Unified Wire Ethernet Controller [VF]
+	4887  T440T-4087 Unified Wire Ethernet Controller [VF]
+	4888  T440-4088 Unified Wire Ethernet Controller [VF]
 	5001  T520-CR Unified Wire Ethernet Controller
 	5002  T522-CR Unified Wire Ethernet Controller
 	5003  T540-CR Unified Wire Ethernet Controller
@@ -14099,10 +15043,14 @@
 	5010  T580-LP-CR Unified Wire Ethernet Controller
 	5011  T520-LL-CR Unified Wire Ethernet Controller
 	5012  T560-CR Unified Wire Ethernet Controller
-	5013  T580-CR Unified Wire Ethernet Controller
+	5013  T580-CHR Unified Wire Ethernet Controller
 	5014  T580-LP-SO-CR Unified Wire Ethernet Controller
+	5015  T502-BT Unified Wire Ethernet Controller
 	5080  T540-5080 Unified Wire Ethernet Controller
 	5081  T540-5081 Unified Wire Ethernet Controller
+	5083  T540-5083 Unified Wire Ethernet Controller
+	5084  T580-5084 Unified Wire Ethernet Controller
+	5085  T580-5085 Unified Wire Ethernet Controller
 	5401  T520-CR Unified Wire Ethernet Controller
 	5402  T522-CR Unified Wire Ethernet Controller
 	5403  T540-CR Unified Wire Ethernet Controller
@@ -14121,10 +15069,14 @@
 	5410  T580-LP-CR Unified Wire Ethernet Controller
 	5411  T520-LL-CR Unified Wire Ethernet Controller
 	5412  T560-CR Unified Wire Ethernet Controller
-	5413  T580-CR Unified Wire Ethernet Controller
+	5413  T580-CHR Unified Wire Ethernet Controller
 	5414  T580-LP-SO-CR Unified Wire Ethernet Controller
+	5415  T502-BT Unified Wire Ethernet Controller
 	5480  T540-5080 Unified Wire Ethernet Controller
 	5481  T540-5081 Unified Wire Ethernet Controller
+	5483  T540-5083 Unified Wire Ethernet Controller
+	5484  T580-5084 Unified Wire Ethernet Controller
+	5485  T580-5085 Unified Wire Ethernet Controller
 	5501  T520-CR Unified Wire Storage Controller
 	5502  T522-CR Unified Wire Storage Controller
 	5503  T540-CR Unified Wire Storage Controller
@@ -14143,10 +15095,14 @@
 	5510  T580-LP-CR Unified Wire Storage Controller
 	5511  T520-LL-CR Unified Wire Storage Controller
 	5512  T560-CR Unified Wire Storage Controller
-	5513  T580-CR Unified Wire Storage Controller
+	5513  T580-CHR Unified Wire Storage Controller
 	5514  T580-LP-SO-CR Unified Wire Storage Controller
+	5515  T502-BT Unified Wire Storage Controller
 	5580  T540-5080 Unified Wire Storage Controller
 	5581  T540-5081 Unified Wire Storage Controller
+	5583  T540-5083 Unified Wire Storage Controller
+	5584  T580-5084 Unified Wire Storage Controller
+	5585  T580-5085 Unified Wire Storage Controller
 	5601  T520-CR Unified Wire Storage Controller
 	5602  T522-CR Unified Wire Storage Controller
 	5603  T540-CR Unified Wire Storage Controller
@@ -14165,10 +15121,14 @@
 	5610  T580-LP-CR Unified Wire Storage Controller
 	5611  T520-LL-CR Unified Wire Storage Controller
 	5612  T560-CR Unified Wire Storage Controller
-	5613  T580-CR Unified Wire Storage Controller
+	5613  T580-CHR Unified Wire Storage Controller
 	5614  T580-LP-SO-CR Unified Wire Storage Controller
+	5615  T502-BT Unified Wire Storage Controller
 	5680  T540-5080 Unified Wire Storage Controller
 	5681  T540-5081 Unified Wire Storage Controller
+	5683  T540-5083 Unified Wire Storage Controller
+	5684  T580-5084 Unified Wire Storage Controller
+	5685  T580-5085 Unified Wire Storage Controller
 	5701  T520-CR Unified Wire Ethernet Controller
 	5702  T522-CR Unified Wire Ethernet Controller
 	5703  T540-CR Unified Wire Ethernet Controller
@@ -14189,30 +15149,38 @@
 	5712  T560-CR Unified Wire Ethernet Controller
 	5713  T580-CR Unified Wire Ethernet Controller
 	5714  T580-LP-SO-CR Unified Wire Ethernet Controller
+	5715  T502-BT Unified Wire Ethernet Controller
 	5780  T540-5080 Unified Wire Ethernet Controller
 	5781  T540-5081 Unified Wire Ethernet Controller
-	5801  T520-CR Unified Wire Ethernet Controller
-	5802  T522-CR Unified Wire Ethernet Controller
-	5803  T540-CR Unified Wire Ethernet Controller
-	5804  T520-BCH Unified Wire Ethernet Controller
-	5805  T540-BCH Unified Wire Ethernet Controller
-	5806  T540-CH Unified Wire Ethernet Controller
-	5807  T520-SO Unified Wire Ethernet Controller
-	5808  T520-CX Unified Wire Ethernet Controller
-	5809  T520-BT Unified Wire Ethernet Controller
-	580a  T504-BT Unified Wire Ethernet Controller
-	580b  B520-SR Unified Wire Ethernet Controller
-	580c  B504-BT Unified Wire Ethernet Controller
-	580d  T580-CR Unified Wire Ethernet Controller
-	580e  T540-LP-CR Unified Wire Ethernet Controller
-	580f  T540 [Amsterdam] Unified Wire Ethernet Controller
-	5810  T580-LP-CR Unified Wire Ethernet Controller
-	5811  T520-LL-CR Unified Wire Ethernet Controller
-	5812  T560-CR Unified Wire Ethernet Controller
-	5813  T580-CR Unified Wire Ethernet Controller
-	5814  T580-LP-SO-CR Unified Wire Ethernet Controller
-	5880  T540-5080 Unified Wire Ethernet Controller
-	5881  T540-5081 Unified Wire Ethernet Controller
+	5783  T540-5083 Unified Wire Ethernet Controller
+	5784  T580-5084 Unified Wire Ethernet Controller
+	5785  T580-5085 Unified Wire Ethernet Controller
+	5801  T520-CR Unified Wire Ethernet Controller [VF]
+	5802  T522-CR Unified Wire Ethernet Controller [VF]
+	5803  T540-CR Unified Wire Ethernet Controller [VF]
+	5804  T520-BCH Unified Wire Ethernet Controller [VF]
+	5805  T540-BCH Unified Wire Ethernet Controller [VF]
+	5806  T540-CH Unified Wire Ethernet Controller [VF]
+	5807  T520-SO Unified Wire Ethernet Controller [VF]
+	5808  T520-CX Unified Wire Ethernet Controller [VF]
+	5809  T520-BT Unified Wire Ethernet Controller [VF]
+	580a  T504-BT Unified Wire Ethernet Controller [VF]
+	580b  B520-SR Unified Wire Ethernet Controller [VF]
+	580c  B504-BT Unified Wire Ethernet Controller [VF]
+	580d  T580-CR Unified Wire Ethernet Controller [VF]
+	580e  T540-LP-CR Unified Wire Ethernet Controller [VF]
+	580f  T540 [Amsterdam] Unified Wire Ethernet Controller [VF]
+	5810  T580-LP-CR Unified Wire Ethernet Controller [VF]
+	5811  T520-LL-CR Unified Wire Ethernet Controller [VF]
+	5812  T560-CR Unified Wire Ethernet Controller [VF]
+	5813  T580-CHR Unified Wire Ethernet Controller [VF]
+	5814  T580-LP-SO-CR Unified Wire Ethernet Controller [VF]
+	5815  T502-BT Unified Wire Ethernet Controller [VF]
+	5880  T540-5080 Unified Wire Ethernet Controller [VF]
+	5881  T540-5081 Unified Wire Ethernet Controller [VF]
+	5883  T540-5083 Unified Wire Ethernet Controller [VF]
+	5884  T580-5084 Unified Wire Ethernet Controller [VF]
+	5885  T580-5085 Unified Wire Ethernet Controller [VF]
 	a000  PE10K Unified Wire Ethernet Controller
 1426  Storage Technology Corp.
 1427  Better On-Line Solutions
@@ -14311,7 +15279,7 @@
 	a836  M115 DVB-T, PAL/SECAM/NTSC Tuner
 	e836  M115S Hybrid Analog/DVB PAL/SECAM/NTSC Tuner
 	f436  AVerTV Hybrid+FM
-1462  Micro-Star International Co., Ltd.
+1462  Micro-Star International Co., Ltd. [MSI]
 1463  Fast Corporation
 1464  Interactive Circuits & Systems Ltd
 1465  GN NETTEST Telecom DIV.
@@ -14319,7 +15287,11 @@
 1467  DIGICOM SPA
 1468  AMBIT Microsystem Corp.
 1469  Cleveland Motion Controls
-146a  IFR
+# formerly IFR.
+146a  Aeroflex
+# 1.5 GHz to 3.0 GHz x 1Hz
+	3010  3010 RF Synthesizer
+	3a11  3011A PXI RF Synthesizer
 146b  Parascan Technologies Ltd
 146c  Ruby Tech Corp.
 	1430  FE-1430TX Fast Ethernet PCI Adapter
@@ -14361,6 +15333,7 @@
 	1003  HCF 56k Data/Fax Modem
 148e  OSI Plus Corporation
 148f  Plant Equipment, Inc.
+	5370  Dexlink AUWL15I1
 1490  Stone Microsystems PTY Ltd.
 1491  ZEAL Corporation
 1492  Time Logic Corporation
@@ -14771,6 +15744,15 @@
 	168d  NetXtreme II BCM57840 10/20 Gigabit Ethernet
 	168e  NetXtreme II BCM57810 10 Gigabit Ethernet
 		103c 1798  Flex-10 10Gb 2-port 530FLB Adapter [Meru]
+		103c 17a5  HP Flex-10 10Gb 2-port 530M Adapter
+		103c 18d3  HP Ethernet 10Gb 2-port 530T Adapter
+		103c 1930  HP FlexFabric 10Gb 2-port 534FLR-SFP+ Adapter
+		103c 1931  HP StoreFabric CN1100R Dual Port Converged Network Adapter
+		103c 1932  HP FlexFabric 10Gb 2-port 534FLB Adapter
+		103c 1933  HP FlexFabric 10Gb 2-port 534M Adapter
+		103c 193a  HP FlexFabric 10Gb 2-port 533FLR-T Adapter
+		103c 3382  HP Ethernet 10Gb 2-port 530FLR-SFP+ Adapter
+		103c 339d  HP Ethernet 10Gb 2-port 530SFP+ Adapter
 	1690  NetXtreme BCM57760 Gigabit Ethernet PCIe
 	1691  NetLink BCM57788 Gigabit Ethernet PCIe
 		1028 04aa  XPS 8300
@@ -14796,7 +15778,12 @@
 	16a0  NetLink BCM5785 Fast Ethernet
 	16a1  BCM57840 NetXtreme II 10 Gigabit Ethernet
 	16a2  BCM57840 NetXtreme II 10/20-Gigabit Ethernet
+		103c 1916  HP FlexFabric 20Gb 2-port 630FLB Adapter
+		103c 1917  HP FlexFabric 20Gb 2-port 630M Adapter
+	16a3  NetXtreme BCM57786 Gigabit Ethernet PCIe
 	16a4  BCM57840 NetXtreme II Ethernet Multi Function
+		103c 1916  HP NPAR 20Gb 2-port 630FLB Adapter
+		103c 1917  HP NPAR 20Gb 2-port 630M Adapter
 # The Broadcom 57800 device has two 1Gig ports and two 10Gig ports. The subsystem information can be used to differentiate.
 	16a5  NetXtreme II BCM57800 1/10 Gigabit Ethernet Multi Function
 		1028 1f5c  NetXtreme II BCM57800 10-Gigabit Ethernet Multi Function
@@ -14840,8 +15827,30 @@
 		103c 703b  NC373i Integrated Multifunction Gigabit Server Adapter
 		103c 703d  NC373F PCI Express Multifunction Gigabit Server Adapter
 	16ad  NetXtreme II BCM57840 10/20 Gigabit Ethernet Virtual Function
+		103c 1916  HP FlexFabric 20Gb 2-port 630FLB Adapter
+		103c 1917  HP FlexFabric 20Gb 2-port 630M Adapter
 	16ae  NetXtreme II BCM57810 10 Gigabit Ethernet Multi Function
+		103c 1798  HP NPAR 10Gb 2-port 530FLB Adapter
+		103c 17a5  HP NPAR 10Gb 2-port 530M Adapter
+		103c 18d3  HP NPAR 10Gb 2-port 530T Adapter
+		103c 1930  HP NPAR 10Gb 2-port 534FLR-SFP+ Adapter
+		103c 1931  HP NPAR CN1100R Dual Port Converged Network Adapter
+		103c 1932  HP NPAR 10Gb 2-port 534FLB Adapter
+		103c 1933  HP NPAR 10Gb 2-port 534M Adapter
+		103c 193a  HP NPAR 10Gb 2-port 533FLR-T Adapter
+		103c 3382  HP NPAR 10Gb 2-port 530FLR-SFP+ Adapter
+		103c 339d  HP NPAR 10Gb 2-port 530SFP+ Adapter
 	16af  NetXtreme II BCM57810 10 Gigabit Ethernet Virtual Function
+		103c 1798  HP Flex-10 10Gb 2-port 530FLB Adapter
+		103c 17a5  HP Flex-10 10Gb 2-port 530M Adapter
+		103c 18d3  HP Ethernet 10Gb 2-port 530T Adapter
+		103c 1930  HP FlexFabric 10Gb 2-port 534FLR-SFP+ Adapter
+		103c 1931  HP StoreFabric CN1100R Dual Port Converged Network Adapter
+		103c 1932  HP FlexFabric 10Gb 2-port 534FLB Adapter
+		103c 1933  HP FlexFabric 10Gb 2-port 534M Adapter
+		103c 193a  HP FlexFabric 10Gb 2-port 533FLR-T Adapter
+		103c 3382  HP Ethernet 10Gb 2-port 530FLR-SFP+ Adapter
+		103c 339d  HP Ethernet 10Gb 2-port 530SFP+ Adapter
 	16b0  NetXtreme BCM57761 Gigabit Ethernet PCIe
 	16b1  NetLink BCM57781 Gigabit Ethernet PCIe
 		1849 96b1  Z77 Extreme4 motherboard
@@ -15059,9 +16068,12 @@
 	4359  BCM43228 802.11a/b/g/n
 		1028 0011  Wireless 1530 Half-size Mini PCIe Card
 		103c 182c  BCM943228HM4L 802.11a/b/g/n 2x2 Wi-Fi Adapter
+	4360  BCM4360 802.11ac Wireless Network Adapter
 	4365  BCM43142 802.11b/g/n
 		1028 0016  Wireless 1704 802.11n + BT 4.0
 	43a0  BCM4360 802.11ac Wireless Network Adapter
+	43a9  BCM43217 802.11b/g/n
+	43aa  BCM43131 802.11b/g/n
 	43b1  BCM4352 802.11ac Wireless Network Adapter
 	4401  BCM4401 100Base-T
 		1025 0035  TravelMate 660
@@ -15309,6 +16321,7 @@
 		0070 9600  WinTV 88x Video
 		0070 9802  WinTV-HVR1100 DVB-T/Hybrid (Low Profile)
 		1002 00f8  ATI TV Wonder Pro
+		1002 00f9  ATI TV Wonder
 		1002 a101  HDTV Wonder
 		1043 4823  ASUS PVR-416
 		107d 6611  Winfast TV 2000XP Expert
@@ -15388,11 +16401,12 @@
 		18ac db00  DVICO FusionHDTV DVB-T1
 		5654 2388  GoTView PCI Hybrid Audio Capture Device
 	8852  CX23885 PCI Video and Audio Decoder
-		0070 8010  Hauppauge WinTV HVR-1400 ExpressCard
+		0070 8010  WinTV HVR-1400 ExpressCard
 		107d 6f22  WinFast PxTV1200
 		1461 c039  AVerTV Hybrid Express (A577)
 		153b 117e  Cinergy T PCIe Dual
 		18ac db78  FusionHDTV DVB-T Dual Express
+		4254 9580  T9580
 	8880  CX23887/8 PCIe Broadcast Audio and Video Decoder with 3D Comb
 		0070 c108  WinTV-HVR-4400-HD model 1278
 		5654 2389  GoTView X5 DVD Hybrid PCI-E
@@ -15576,6 +16590,10 @@
 1541  MACHONE Communications
 1542  Concurrent Computer Corporation
 	9260  RCIM-II Real-Time Clock & Interrupt Module
+	9272  Pulse Width Modulator Card
+	9277  5 Volt Delta Sigma Converter Card
+	9278  10 Volt Delta Sigma Converter Card
+	9287  Analog Output Card
 1543  SILICON Laboratories
 	3052  Intel 537 [Winmodem]
 	4c22  Si3036 MC'97 DAA
@@ -15729,7 +16747,8 @@
 	0740  Virtual Machine Communication Interface
 	0770  USB2 EHCI Controller
 	0774  USB1.1 UHCI Controller
-	0778  USB3 xHCI Controller
+	0778  USB3 xHCI 0.96 Controller
+	0779  USB3 xHCI 1.0 Controller
 	0790  PCI bridge
 	07a0  PCI Express Root Port
 	07b0  VMXNET3 Ethernet Controller
@@ -15748,11 +16767,10 @@
 	01ff  MT27600 Family [Connect-IB Flash Recovery]
 	1002  MT25400 Family [ConnectX-2 Virtual Function]
 	1003  MT27500 Family [ConnectX-3]
-	1004  MT27500 Family [ConnectX-3 Virtual Function]
+	1004  MT27500/MT27520 Family [ConnectX-3/ConnectX-3 Pro Virtual Function]
 	1005  MT27510 Family
 	1006  MT27511 Family
 	1007  MT27520 Family [ConnectX-3 Pro]
-	1008  MT27520 Family [ConnectX-3 Pro Virtual Function]
 	1009  MT27530 Family
 	100a  MT27531 Family
 	100b  MT27540 Family
